Name: libxml++2
Version: 2.20.0
Release: alt1
Summary: C++ wrapper for the libxml2 XML parser library

Packager: Pavlov Konstantin <thresh@altlinux.ru>
Group: System/Libraries
License: LGPL
Url: http://libxmlplusplus.sourceforge.net/
Source: http://ftp.gnome.org/pub/GNOME/sources/libxml++/%version/libxml++-%version.tar.bz2

BuildRequires: libxml2-devel >= 2.6.1
BuildRequires: doxygen gcc-c++ libglibmm-devel

%description
libxml++ is a C++ wrapper for the libxml2 XML parser library. It's original
author is Ari Johnson and it is currently maintained by Christophe de Vienne
and Murray Cumming.

%package devel
Summary: Development files for %name
Group: Development/C++
Requires: %name = %version-%release

%description devel
This package contains the headers and libraries for libxml++ development.

%prep
%setup -q -n libxml++-%version

%build
%configure --disable-static
make

%install
%makeinstall

rm -rf _reference _examples _manual
mkdir -m 755 _reference _examples _manual
cp -a %buildroot%_docdir/*/docs/reference/2.*/html _reference/reference
cp -a %buildroot%_docdir/*/docs/manual _manual/manual
rm -rf %buildroot%_docdir
cp -a examples _examples/examples
# Delete non-working makefiles, object files, prebuilt binaries and empty files.
find _examples -type f -a \( -name Makefile\* -o -name \*.o \
    -o \( -name example.C -a -perm +0111 \) -o -empty \) | xargs rm -f
find _examples -type d -name '*.libs' -o -name '.deps' | xargs rm -rf

%post -p %post_ldconfig

%postun -p %postun_ldconfig

%files
%doc AUTHORS COPYING NEWS README ChangeLog
%_libdir/*.so.*

%files devel
%doc _examples/examples _reference/reference _manual/manual
%_includedir/*
%_libdir/*.so
%_libdir/libxml++-2.6
%_libdir/pkgconfig/*

%changelog
* Fri Sep 21 2007 Pavlov Konstantin <thresh@altlinux.ru> 2.20.0-alt1
- 2.20.0 release.

* Wed Aug 22 2007 Pavlov Konstantin <thresh@altlinux.ru> 2.19.1-alt1
- 2.19.1 release.
- Some spec cleanup.

* Wed Jun 27 2007 Pavlov Konstantin <thresh@altlinux.ru> 2.18.1-alt1
- 2.18.1 release.

* Mon Mar 12 2007 Pavlov Konstantin <thresh@altlinux.ru> 2.18.0-alt1
- 2.18.0 release.

* Fri Jan 05 2007 Pavlov Konstantin <thresh@altlinux.ru> 2.17.2-alt1
- 2.17.2 release.

* Fri Dec 15 2006 Pavlov Konstantin <thresh@altlinux.ru> 2.17.1-alt2
- Pack unpackaged file.

* Thu Dec 14 2006 Pavlov Konstantin <thresh@altlinux.ru> 2.17.1-alt1
- 2.17.1 release.

* Fri Nov 03 2006 Pavlov Konstantin <thresh@altlinux.ru> 2.14.0-alt1
- ALTLinuxized.

* Sun Sep 03 2006 Konstantin Ryabitsev <icon@fedoraproject.org> - 2.14.0-1.1
- FC6 rebuild

* Tue May 02 2006 Konstantin Ryabitsev <icon@fedoraproject.org> - 2.14.0-1
- Version 2.14.0

* Mon Feb 13 2006 Konstantin Ryabitsev <icon@fedoraproject.org> - 2.12.0-2.1
- FC5 Rebuild

* Thu Jan 26 2006 Konstantin Ryabitsev <icon@fedoraproject.org> - 2.12.0-2
- Rebuilt to address RH #178592

* Thu Sep 08 2005 Konstantin Ryabitsev <icon@linux.duke.edu> - 2.12.0-1
- Version 2.12.0
- Use --disable-static for configure.

* Thu Jul 21 2005 Konstantin Ryabitsev <icon@linux.duke.edu> - 2.10.0-1
- Version 2.10.0
- Rearrange and conform to new FE standards
- Buildrequire glibmm24-devel
- Add devel requires to -devel

* Sun May 22 2005 Jeremy Katz <katzj@redhat.com> - 0.26.0-5
- rebuild on all arches

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Tue Nov 04 2003 Panu Matilainen <pmatilai@welho.com> - 0:0:26.0-0.fdr.3
- remove empty .libs directories

* Mon Nov  3 2003 Michael Schwendt <mschwendt[AT]users.sf.net> - 0:0.26.0-0.fdr.2
- buildrequires graphviz
- devel package requires main package and pkgconfig
- own %%_includedir/libxml++-1.0
- clean up examples tree

* Tue Oct 21 2003 Panu Matilainen <pmatilai@welho.com>
- Initial Fedora packaging

